// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.1
// 	protoc        v5.26.1
// source: game_stats.proto

package gamestatsclient

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type TeamStats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Goals         int32  `protobuf:"varint,1,opt,name=goals,proto3" json:"goals,omitempty"`
	ShotsOnTarget int32  `protobuf:"varint,2,opt,name=shots_on_target,json=shotsOnTarget,proto3" json:"shots_on_target,omitempty"`
	Corners       int32  `protobuf:"varint,3,opt,name=corners,proto3" json:"corners,omitempty"`
	YellowCards   int32  `protobuf:"varint,4,opt,name=yellow_cards,json=yellowCards,proto3" json:"yellow_cards,omitempty"`
	RedCards      int32  `protobuf:"varint,5,opt,name=red_cards,json=redCards,proto3" json:"red_cards,omitempty"`
	TeamName      string `protobuf:"bytes,6,opt,name=team_name,json=teamName,proto3" json:"team_name,omitempty"`
}

func (x *TeamStats) Reset() {
	*x = TeamStats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_game_stats_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TeamStats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TeamStats) ProtoMessage() {}

func (x *TeamStats) ProtoReflect() protoreflect.Message {
	mi := &file_game_stats_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TeamStats.ProtoReflect.Descriptor instead.
func (*TeamStats) Descriptor() ([]byte, []int) {
	return file_game_stats_proto_rawDescGZIP(), []int{0}
}

func (x *TeamStats) GetGoals() int32 {
	if x != nil {
		return x.Goals
	}
	return 0
}

func (x *TeamStats) GetShotsOnTarget() int32 {
	if x != nil {
		return x.ShotsOnTarget
	}
	return 0
}

func (x *TeamStats) GetCorners() int32 {
	if x != nil {
		return x.Corners
	}
	return 0
}

func (x *TeamStats) GetYellowCards() int32 {
	if x != nil {
		return x.YellowCards
	}
	return 0
}

func (x *TeamStats) GetRedCards() int32 {
	if x != nil {
		return x.RedCards
	}
	return 0
}

func (x *TeamStats) GetTeamName() string {
	if x != nil {
		return x.TeamName
	}
	return ""
}

type GameMetadata struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TeamAName  string `protobuf:"bytes,1,opt,name=team_a_name,json=teamAName,proto3" json:"team_a_name,omitempty"`
	TeamBName  string `protobuf:"bytes,2,opt,name=team_b_name,json=teamBName,proto3" json:"team_b_name,omitempty"`
	TimePlayed int32  `protobuf:"varint,3,opt,name=time_played,json=timePlayed,proto3" json:"time_played,omitempty"`
	ExtraTime  int32  `protobuf:"varint,4,opt,name=extra_time,json=extraTime,proto3" json:"extra_time,omitempty"`
}

func (x *GameMetadata) Reset() {
	*x = GameMetadata{}
	if protoimpl.UnsafeEnabled {
		mi := &file_game_stats_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GameMetadata) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GameMetadata) ProtoMessage() {}

func (x *GameMetadata) ProtoReflect() protoreflect.Message {
	mi := &file_game_stats_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GameMetadata.ProtoReflect.Descriptor instead.
func (*GameMetadata) Descriptor() ([]byte, []int) {
	return file_game_stats_proto_rawDescGZIP(), []int{1}
}

func (x *GameMetadata) GetTeamAName() string {
	if x != nil {
		return x.TeamAName
	}
	return ""
}

func (x *GameMetadata) GetTeamBName() string {
	if x != nil {
		return x.TeamBName
	}
	return ""
}

func (x *GameMetadata) GetTimePlayed() int32 {
	if x != nil {
		return x.TimePlayed
	}
	return 0
}

func (x *GameMetadata) GetExtraTime() int32 {
	if x != nil {
		return x.ExtraTime
	}
	return 0
}

type CombinedGameStats struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	TeamAStats   *TeamStats    `protobuf:"bytes,1,opt,name=team_a_stats,json=teamAStats,proto3" json:"team_a_stats,omitempty"`
	TeamBStats   *TeamStats    `protobuf:"bytes,2,opt,name=team_b_stats,json=teamBStats,proto3" json:"team_b_stats,omitempty"`
	GameMetadata *GameMetadata `protobuf:"bytes,3,opt,name=game_metadata,json=gameMetadata,proto3" json:"game_metadata,omitempty"`
}

func (x *CombinedGameStats) Reset() {
	*x = CombinedGameStats{}
	if protoimpl.UnsafeEnabled {
		mi := &file_game_stats_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CombinedGameStats) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CombinedGameStats) ProtoMessage() {}

func (x *CombinedGameStats) ProtoReflect() protoreflect.Message {
	mi := &file_game_stats_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CombinedGameStats.ProtoReflect.Descriptor instead.
func (*CombinedGameStats) Descriptor() ([]byte, []int) {
	return file_game_stats_proto_rawDescGZIP(), []int{2}
}

func (x *CombinedGameStats) GetTeamAStats() *TeamStats {
	if x != nil {
		return x.TeamAStats
	}
	return nil
}

func (x *CombinedGameStats) GetTeamBStats() *TeamStats {
	if x != nil {
		return x.TeamBStats
	}
	return nil
}

func (x *CombinedGameStats) GetGameMetadata() *GameMetadata {
	if x != nil {
		return x.GameMetadata
	}
	return nil
}

type EmptyRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *EmptyRequest) Reset() {
	*x = EmptyRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_game_stats_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *EmptyRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*EmptyRequest) ProtoMessage() {}

func (x *EmptyRequest) ProtoReflect() protoreflect.Message {
	mi := &file_game_stats_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use EmptyRequest.ProtoReflect.Descriptor instead.
func (*EmptyRequest) Descriptor() ([]byte, []int) {
	return file_game_stats_proto_rawDescGZIP(), []int{3}
}

var File_game_stats_proto protoreflect.FileDescriptor

var file_game_stats_proto_rawDesc = []byte{
	0x0a, 0x10, 0x67, 0x61, 0x6d, 0x65, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x09, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x22, 0xc0, 0x01,
	0x0a, 0x09, 0x54, 0x65, 0x61, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x67,
	0x6f, 0x61, 0x6c, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x05, 0x52, 0x05, 0x67, 0x6f, 0x61, 0x6c,
	0x73, 0x12, 0x26, 0x0a, 0x0f, 0x73, 0x68, 0x6f, 0x74, 0x73, 0x5f, 0x6f, 0x6e, 0x5f, 0x74, 0x61,
	0x72, 0x67, 0x65, 0x74, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0d, 0x73, 0x68, 0x6f, 0x74,
	0x73, 0x4f, 0x6e, 0x54, 0x61, 0x72, 0x67, 0x65, 0x74, 0x12, 0x18, 0x0a, 0x07, 0x63, 0x6f, 0x72,
	0x6e, 0x65, 0x72, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x07, 0x63, 0x6f, 0x72, 0x6e,
	0x65, 0x72, 0x73, 0x12, 0x21, 0x0a, 0x0c, 0x79, 0x65, 0x6c, 0x6c, 0x6f, 0x77, 0x5f, 0x63, 0x61,
	0x72, 0x64, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0b, 0x79, 0x65, 0x6c, 0x6c, 0x6f,
	0x77, 0x43, 0x61, 0x72, 0x64, 0x73, 0x12, 0x1b, 0x0a, 0x09, 0x72, 0x65, 0x64, 0x5f, 0x63, 0x61,
	0x72, 0x64, 0x73, 0x18, 0x05, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x72, 0x65, 0x64, 0x43, 0x61,
	0x72, 0x64, 0x73, 0x12, 0x1b, 0x0a, 0x09, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x74, 0x65, 0x61, 0x6d, 0x4e, 0x61, 0x6d, 0x65,
	0x22, 0x8e, 0x01, 0x0a, 0x0c, 0x47, 0x61, 0x6d, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74,
	0x61, 0x12, 0x1e, 0x0a, 0x0b, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x61, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x74, 0x65, 0x61, 0x6d, 0x41, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x1e, 0x0a, 0x0b, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x62, 0x5f, 0x6e, 0x61, 0x6d, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x74, 0x65, 0x61, 0x6d, 0x42, 0x4e, 0x61, 0x6d,
	0x65, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x69, 0x6d, 0x65, 0x5f, 0x70, 0x6c, 0x61, 0x79, 0x65, 0x64,
	0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x0a, 0x74, 0x69, 0x6d, 0x65, 0x50, 0x6c, 0x61, 0x79,
	0x65, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x65, 0x78, 0x74, 0x72, 0x61, 0x5f, 0x74, 0x69, 0x6d, 0x65,
	0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x09, 0x65, 0x78, 0x74, 0x72, 0x61, 0x54, 0x69, 0x6d,
	0x65, 0x22, 0xc1, 0x01, 0x0a, 0x11, 0x43, 0x6f, 0x6d, 0x62, 0x69, 0x6e, 0x65, 0x64, 0x47, 0x61,
	0x6d, 0x65, 0x53, 0x74, 0x61, 0x74, 0x73, 0x12, 0x36, 0x0a, 0x0c, 0x74, 0x65, 0x61, 0x6d, 0x5f,
	0x61, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e,
	0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x54, 0x65, 0x61, 0x6d, 0x53, 0x74,
	0x61, 0x74, 0x73, 0x52, 0x0a, 0x74, 0x65, 0x61, 0x6d, 0x41, 0x53, 0x74, 0x61, 0x74, 0x73, 0x12,
	0x36, 0x0a, 0x0c, 0x74, 0x65, 0x61, 0x6d, 0x5f, 0x62, 0x5f, 0x73, 0x74, 0x61, 0x74, 0x73, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74,
	0x73, 0x2e, 0x54, 0x65, 0x61, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x73, 0x52, 0x0a, 0x74, 0x65, 0x61,
	0x6d, 0x42, 0x53, 0x74, 0x61, 0x74, 0x73, 0x12, 0x3c, 0x0a, 0x0d, 0x67, 0x61, 0x6d, 0x65, 0x5f,
	0x6d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x17,
	0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x47, 0x61, 0x6d, 0x65, 0x4d,
	0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x52, 0x0c, 0x67, 0x61, 0x6d, 0x65, 0x4d, 0x65, 0x74,
	0x61, 0x64, 0x61, 0x74, 0x61, 0x22, 0x0e, 0x0a, 0x0c, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x32, 0x85, 0x03, 0x0a, 0x09, 0x47, 0x61, 0x6d, 0x65, 0x53, 0x74,
	0x61, 0x74, 0x73, 0x12, 0x48, 0x0a, 0x12, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x47, 0x61, 0x6d,
	0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0x12, 0x17, 0x2e, 0x67, 0x61, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x47, 0x61, 0x6d, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61,
	0x74, 0x61, 0x1a, 0x17, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0x00, 0x12, 0x42, 0x0a,
	0x0f, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x54, 0x65, 0x61, 0x6d, 0x53, 0x74, 0x61, 0x74, 0x73,
	0x12, 0x14, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x54, 0x65, 0x61,
	0x6d, 0x53, 0x74, 0x61, 0x74, 0x73, 0x1a, 0x17, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61,
	0x74, 0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22,
	0x00, 0x12, 0x52, 0x0a, 0x17, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x43, 0x6f, 0x6d, 0x62, 0x69,
	0x6e, 0x65, 0x64, 0x47, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x74, 0x73, 0x12, 0x1c, 0x2e, 0x67,
	0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x43, 0x6f, 0x6d, 0x62, 0x69, 0x6e, 0x65,
	0x64, 0x47, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x74, 0x73, 0x1a, 0x17, 0x2e, 0x67, 0x61, 0x6d,
	0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x22, 0x00, 0x12, 0x47, 0x0a, 0x0c, 0x47, 0x65, 0x74, 0x47, 0x61, 0x6d, 0x65,
	0x53, 0x74, 0x61, 0x74, 0x73, 0x12, 0x17, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74,
	0x73, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c,
	0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x43, 0x6f, 0x6d, 0x62, 0x69,
	0x6e, 0x65, 0x64, 0x47, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x74, 0x73, 0x22, 0x00, 0x12, 0x4d,
	0x0a, 0x10, 0x4d, 0x6f, 0x6e, 0x69, 0x74, 0x6f, 0x72, 0x47, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x61,
	0x74, 0x73, 0x12, 0x17, 0x2e, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x45,
	0x6d, 0x70, 0x74, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1c, 0x2e, 0x67, 0x61,
	0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x2e, 0x43, 0x6f, 0x6d, 0x62, 0x69, 0x6e, 0x65, 0x64,
	0x47, 0x61, 0x6d, 0x65, 0x53, 0x74, 0x61, 0x74, 0x73, 0x22, 0x00, 0x30, 0x01, 0x42, 0x0d, 0x5a,
	0x0b, 0x2e, 0x3b, 0x67, 0x61, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x74, 0x73, 0x62, 0x06, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_game_stats_proto_rawDescOnce sync.Once
	file_game_stats_proto_rawDescData = file_game_stats_proto_rawDesc
)

func file_game_stats_proto_rawDescGZIP() []byte {
	file_game_stats_proto_rawDescOnce.Do(func() {
		file_game_stats_proto_rawDescData = protoimpl.X.CompressGZIP(file_game_stats_proto_rawDescData)
	})
	return file_game_stats_proto_rawDescData
}

var file_game_stats_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_game_stats_proto_goTypes = []interface{}{
	(*TeamStats)(nil),         // 0: gamestats.TeamStats
	(*GameMetadata)(nil),      // 1: gamestats.GameMetadata
	(*CombinedGameStats)(nil), // 2: gamestats.CombinedGameStats
	(*EmptyRequest)(nil),      // 3: gamestats.EmptyRequest
}
var file_game_stats_proto_depIdxs = []int32{
	0, // 0: gamestats.CombinedGameStats.team_a_stats:type_name -> gamestats.TeamStats
	0, // 1: gamestats.CombinedGameStats.team_b_stats:type_name -> gamestats.TeamStats
	1, // 2: gamestats.CombinedGameStats.game_metadata:type_name -> gamestats.GameMetadata
	1, // 3: gamestats.GameStats.UpdateGameMetadata:input_type -> gamestats.GameMetadata
	0, // 4: gamestats.GameStats.UpdateTeamStats:input_type -> gamestats.TeamStats
	2, // 5: gamestats.GameStats.UpdateCombinedGameStats:input_type -> gamestats.CombinedGameStats
	3, // 6: gamestats.GameStats.GetGameStats:input_type -> gamestats.EmptyRequest
	3, // 7: gamestats.GameStats.MonitorGameStats:input_type -> gamestats.EmptyRequest
	3, // 8: gamestats.GameStats.UpdateGameMetadata:output_type -> gamestats.EmptyRequest
	3, // 9: gamestats.GameStats.UpdateTeamStats:output_type -> gamestats.EmptyRequest
	3, // 10: gamestats.GameStats.UpdateCombinedGameStats:output_type -> gamestats.EmptyRequest
	2, // 11: gamestats.GameStats.GetGameStats:output_type -> gamestats.CombinedGameStats
	2, // 12: gamestats.GameStats.MonitorGameStats:output_type -> gamestats.CombinedGameStats
	8, // [8:13] is the sub-list for method output_type
	3, // [3:8] is the sub-list for method input_type
	3, // [3:3] is the sub-list for extension type_name
	3, // [3:3] is the sub-list for extension extendee
	0, // [0:3] is the sub-list for field type_name
}

func init() { file_game_stats_proto_init() }
func file_game_stats_proto_init() {
	if File_game_stats_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_game_stats_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*TeamStats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_game_stats_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GameMetadata); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_game_stats_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CombinedGameStats); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_game_stats_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*EmptyRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_game_stats_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_game_stats_proto_goTypes,
		DependencyIndexes: file_game_stats_proto_depIdxs,
		MessageInfos:      file_game_stats_proto_msgTypes,
	}.Build()
	File_game_stats_proto = out.File
	file_game_stats_proto_rawDesc = nil
	file_game_stats_proto_goTypes = nil
	file_game_stats_proto_depIdxs = nil
}
